import request from "$lib/request";

export async function load({ fetch, cookies }) {
	const meta = await request("GET", "/meta", { fetchFn: fetch });

	let user;
	if (cookies.get("pronounscc-token")) {
		user = await request("GET", "/users/@me", { fetchFn: fetch });
	}

	return { meta, user };
}
